#!/bin/bash

die() {
    echo $* >&2
    exit 1
}


# Download latest portage snapshot
wget -O /var/lib/catalyst/store/snapshots/portage-latest.tar.bz2 \
    https://gentoo.osuosl.org/releases/snapshots/current/portage-latest.tar.bz2

# Update stage3 snapshot
catalyst -c /var/lib/catalyst/catalyst.conf -f /var/lib/catalyst/stage3.spec

# Update custom packages
catalyst -c /var/lib/catalyst/catalyst.conf -f /var/lib/catalyst/build.spec
